#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n,m;
    cin>>n>>m;
    cout << 2*(m+n)-4+(m-2)*(n-2)/2 << endl;
    return 0;
}